---
id: 2_v0.15.0_to_v1.0.0
title: v0.15.0 to v1.0.0
sidebar_label: v0.15.0 to v1.0.0
---

# Getting started

Moving from `v0.15.0` to `v1.0.0` version implies the migration of some CRD versions from `v1alpha1` to `v1`:

- NifiCluster
- NifiDataflow
- NifiParameterContext
- NifiRegistryClient
- NifiUser
- NifiUserGroup

To manage this resource version migration, you have to: 

1 - Upgrade your NifiKop helm chart release, that will enable conversion webhook in the operator pod (as the `webhook.enabled` values is set to `true` by default).
2 - Patch the CRDs associated to the resources with : 

```yaml
...
annotations:
    cert-manager.io/inject-ca-from: ${namespace}/${certificate_name}
...
spec:
  ...
  conversion:
    strategy: Webhook
    webhook:
      clientConfig:
        service:
          namespace: ${namespace}
          name: ${webhook_service_name}
          path: /convert
      conversionReviewVersions:
        - v1
        - v1alpha1
  ...
```

Where :
- `namespace`: is the namespace in which you will deploy your helm chart.
- `certificate_name`: is `${helm release name}-webhook-cert`
- `webhook_service_name`: is `${helm release name}-webhook-cert`
